/**
 * @file
 * fueldeluxe theme javascript.
 */

(function ($) {

  /**
   * Grid Overlay (imported from Pop theme)
   * Adding grid overlay for development.
   */
  Drupal.behaviors.fueldeluxeGridOverlay = {
    attach: function(context, settings) {
      if ($('body.grid-overlay-enabled').size() > 0) {
        var grid = '<div id="fueldeluxe-grid"></div>';
        var grid_switch = '<div id="fueldeluxe-grid-switch">Show Grid</div>';
        $('body.grid-overlay-enabled').append(grid_switch);
        //$('#page').append(grid);
        $('#main').append(grid);

        var pageWidth = $('#page').width();
        var colWidth = 68;
        var colSep = 24;
        var colCount = 1;

        $('#fueldeluxe-grid').css({width: pageWidth});

        for(colLeft = 0; colLeft <= pageWidth; colLeft = (colWidth + colSep) * (colCount - 1)) {
          var colW = ((colWidth + colSep) * colCount ) - colSep;
          var colSpan = '<span class="fueldeluxe-col fueldeluxe-col-'+colCount+'">col: ' + colCount + '<br/>w: ' + colW + 'px</span>';

          $('#fueldeluxe-grid').append(colSpan);
          $('#fueldeluxe-grid .fueldeluxe-col-'+colCount).css({ width: colWidth, left: colLeft });
          colCount++;
        };

        $('#fueldeluxe-grid-switch').toggle(
          function() {
            $(this).text("Hide Grid").attr('rel','on');
            $('#fueldeluxe-grid').show();
          }, function() {
            $(this).text('Show Grid').attr('rel','off');
            $('#fueldeluxe-grid').hide();
          }
        );
      } // end if

    }
  };

})(jQuery); // end Drupal.behaviors